%% Ocelový nosník (30x3-400) mm MĚŘENÍ 03
close all;
clear all;
clc;
%% PARAMETRY (MODEL)
L=0.4;         % Délka [m]
T=0.03;        % Šířka [m]
W=0.003;       % Tloušťka [m]
rho=7850;                     % Hustota materiálu [kg/m^3] Al: 2700; Ocel: 7870
m=rho*L*T*W;                  % Hmotnost nosníku [kg]
meff=(33/140)*m;              % Výpočet efektivní hmotnosti
E=2.1*10^11;                  % Modul pružnosti
S=2*T*W;                      % Plocha průřezu
J=T*W^3/12;                   % Kvadratický moment průřezu
k=(3*J*E)/L^3;                % Teoretická tuhost nosníku
om=sqrt(k/meff);              % Vlastní úhlová frekvence
frekvence=om/(2*pi);          % Vlastní frekvence nosníku
y0d=0;                        % Počáteční rychlost
%% EXPERIMENT
load Mereni3.mat              % Načtení naměřených dat
om0=2*pi*14.16;               % Vlastní úhlová frekvence zjištěná pomocí FFT
br11=0.00115;                 % Poměrný útlum prvního intervalu
br12=0.0008;                  % Poměrný útlum druhého intervalu
y01=4.4;                      % Amplituda výchylky pro první interval
y02=3.1;                      % Amplituda výchylky pro druhý interval
om11=om0.*sqrt(1-br11^2);     % Úhlová rychlost prvního intervalu
om12=om0.*sqrt(1-br12^2);     % Úhlová rychlost druhého intervalu
delta11=br11*om11;            % Součinitel doznívání prvního intervalu
delta12=br12*om12;            % Součinitel doznívání druhého intervalu
C11=sqrt(y01.^2+((br11*om11*y01+y0d)/om11).^2);
C12=sqrt(y02.^2+((br12*om12*y02+y0d)/om12).^2);
y=C11.*exp(-br11*om0*t).*sin(om11*t);         % Pohyb. rce
tlumeni11=C11.*exp(-br11*om0*t);              % Rce tlumení prvního intervalu
tlumeni12=C12.*exp(-br12*om0*t);              % Rce tlumení druhého intervalu
plot(t,a31,'Color',[0.6 0.6 0.6])             % Vykreslení průběhu experimentu
xlim([0 42.6])
hold on
title('Zrychlení na volném konci nosníku')
xlabel('t [s]')
ylabel('a [g]')
%plot(t,y,'b')                          % Vykreslení kmitání matematického modelu (DEFAULTNĚ POTLAČENO)
plot(t,tlumeni11,'r','linewidth',2)     % Vykreslení první části obálky (tlumení)
plot(t,tlumeni12,'r','linewidth',2)     % Vykreslení první části obálky (tlumení)
legend('Průběh zrychlení - EXPERIMENT','Poměrný útlum (obálka) - MODEL')
grid on